Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu]Xin lisp chọn dim


  • Please log in to reply
26 replies to this topic

#21 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 06 September 2012 - 10:48 AM

Góp ý:
1). Thật khó tin khi bạn chọn tập text mà có textstyle, layer, color, string .... giống text mẫu. Hóa ra các text này giống nhau về tất cả thông số à (vì bạn có dấu "...")?
2). Gộp tất cả mọi thứ vào 1 lệnh thì có nên chăng? Kiểu ví dụ thế này thì có nên làm không?
Chọn cách vẽ: Line/Arc/Pline/Text/Hatch/...

Cảm ơn bạn đã chỉ bảo, mình xin giải trình như sau (do đặc thù công việc):
1. Các text này giống nhau về tất cả thông số
2. Trí nhớ mình không được tốt nên mình muốn vẽ, chỉnh sửa kiểu cầm tay chi việc bạn ạ (chỉ nhớ mỗi lệnh A5 thì dẽ với mình hơn là nhớ 1 loạt lệnh)
Vẫn mong các bro chi bảo thêm ạ!
P/S: Minh muốn áp dụng cho nhiều vấn đề khác (sau khi được các bro giúp đỡ, mình sẽ chế biến cho ra thêm lisp khác để sử lý các vấn đề khác, hi hi.
  • 0

#22 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 06 September 2012 - 10:53 AM

1). Viết lisp này thì không quá khó, nhưng cảm thấy nó sao sao ấy.
2). Giống nhau tất tần tất => nhóm text này trùng nhau ư?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#23 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 06 September 2012 - 10:59 AM

1). Viết lisp này thì không quá khó, nhưng cảm thấy nó sao sao ấy.
2). Giống nhau tất tần tất => nhóm text này trùng nhau ư?

Nhóm text này là bản copy từ 1 text ban đầu ra bạn ạ, nó loằng ngoằng chỗ ấy ấy, hi hi
  • 0

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 06 September 2012 - 03:30 PM

A nên sử dụng menu / toolbar cho những trường hợp phân nhánh như thế này.
Về lisp này thì k khó, nên thử mày mò trước (nếu aT định học lisp).
Ở đây chỉ có 2 vấn đề cần chú tâm là lọc dxf của text, lọc dxf 1, 42 của dim (nhớ trường hợp measurement của DIm được thay bằng dấu <>)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 SoftvnBin

SoftvnBin

    biết vẽ ellipse

  • Advance Member
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 08 September 2012 - 07:47 AM

A nên sử dụng menu / toolbar cho những trường hợp phân nhánh như thế này.
Về lisp này thì k khó, nên thử mày mò trước (nếu aT định học lisp).
Ở đây chỉ có 2 vấn đề cần chú tâm là lọc dxf của text, lọc dxf 1, 42 của dim (nhớ trường hợp measurement của DIm được thay bằng dấu <>)

Oke, để toa thử sức xem sao hén, he he, trình độ mới chỉ copy paste lần mò thôi, (đổi tên lệnh là mình giỏi nhất trong vấn đề lập trình lisp), hi hi
  • 0

#26 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 14 May 2015 - 11:36 PM

Hay là các bạn có thể sử dụng lisp này. Viết lại 1 tý :

(defun c:an (/ ssd dtuong)
(initget "")
(setq dtuong (getstring "\n Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : "))
(if (= dtuong "") (setq dtuong (acet-dxf 0 (entget(car(entsel "\n Pick chon doi tuong mau :"))))))
  (if (setq ssd (ssget (list (cons 0 dtuong))))
    (acet-ss-visible (acet-ss-remove ssd (ssget "X" (list (cons 0 dtuong))  )) 1)
  )
)
;;;;;;;;
(defun c:Hien(/)
    (acet-ss-visible (ssget "X" '((60 . 1))) 0)
)
Cách chạy :

Command: an -> Gõ lệnh AN
Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : LINE -> Nhập tên đối tượng cần ẩn.
Ví dụ LINE thì gõ LINE
TEXT và MTEXT có thể gõ *TEXT hoặc gõ TEXT,MTEXT
POLYLINE có thể gõ *POLYLINE
Block : gõ INSERT
DIMENSION thì gõ DIMENSION
HATCH thì gõ HATCH
.....
- Nếu bạn không nhớ tên thì có thể enter để chọn 1 đối tượng mẫu
- Chọn đối tượng cần giữ lại. Các đối tượng cùng "kiểu" với đối tượng không được chọn sẽ bị ẩn

Select objects: -> Chọn đối tượng cần giữ lại

Hiện lại thì gõ lệnh hien

....

Chúc vui

 

Lisp hay quá, bạn thay đổi một chút giúp mình với nhé, thay vì ẩn hiện đối tượng thì chỉ Select (chọn) đối tượng trong vùng chọn


  • -1

#27 Tr.CongSon

Tr.CongSon

    biết lệnh array

  • Members
  • PipPipPip
  • 183 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 21 May 2015 - 07:32 PM

Lisp hay quá, bạn thay đổi một chút giúp mình với nhé, thay vì ẩn hiện đối tượng thì chỉ Select (chọn) đối tượng trong vùng chọn

Mạn phép a Tue_VN cho em sửa giúp bạn pawuta 1 chút^^

Code đây bạn

(defun c:Chon (/ ssd dtuong)
(initget "")
(setq dtuong (getstring "\n Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : "))
(if (= dtuong "") (setq dtuong (acet-dxf 0 (entget(car(entsel "\n Pick chon doi tuong mau :"))))))
(if (setq ssd (ssget (list (cons 0 dtuong))))
(sssetfirst ssd ssd)
)
)

 

P/s:Mình mới học lisp,thấy được thì ấn nút thanks khích lệ tinh thần tí.hi


  • 0